package com.fjhx.common.utils;

import com.ruoyi.common.core.domain.entity.SysRole;
import com.ruoyi.common.core.domain.entity.SysUser;

import java.util.List;
import java.util.Objects;

public class AuthorityUtils {

	/**
	 * 高权限判断
	 */
	public static boolean isHighAuthority(SysUser user) {
		List<SysRole> sysRoleList = user.getRoles();
		boolean flag = false;
		for (SysRole sysRole : sysRoleList) {
			flag = flag || Objects.equals(sysRole.getAuthorityLv(), 99);
		}
		//-----------------------------------------------------------------
//		1.角色是高权限 And 归属集团[000000租户]，看所有数据不限制
//		2.角色是高权限，看所在公司的所有数据
//		3.角色是低权限，看自己的数据
		return flag;
	}

}
