package com.fjhx.item.entity.product.vo;

import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * <p>
 * item_产品BOM明细
 * </p>
 *
 * @author
 * @since 2024-01-07
 */
@Getter
@Setter
public class ProductBomInfoVo extends BasePo {

    /**
     * 原材料id
     */
    private Long rawMaterialId;

    /**
     * 原材料名称
     */
    private String rawMaterialName;

    /**
     * 原材料编号
     */
    private String rawMaterialCode;

    /**
     * 产品物料明细列表
     */
    private List<ProductBomDetailVo> productBomDetailList;

}
