package com.fjhx.sale.controller.purchase;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.common.constant.SourceConstant;
import com.fjhx.purchase.entity.purchase.dto.PurchaseDto;
import com.fjhx.purchase.entity.purchase.dto.PurchaseSelectDto;
import com.fjhx.purchase.entity.purchase.po.Purchase;
import com.fjhx.purchase.entity.purchase.vo.PurchaseVo;
import com.fjhx.purchase.service.purchase.PurchaseService;
import com.fjhx.sale.service.purchase.SalePurchaseService;
import com.ruoyi.common.core.domain.BaseSelectDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;
import java.util.Map;


/**
 * <p>
 * 采购 前端控制器
 * </p>
 *
 * @author
 * @since 2023-04-06
 */
//@DS(SourceConstant.PURCHASE)
@RestController
@RequestMapping("/sale/purchase")
public class SalePurchaseController {

    @Autowired
    private SalePurchaseService salePurchaseService;

    /**
     * 采购编辑
     */
    @PostMapping("/cancellation")
    public void cancellation(@RequestBody PurchaseDto purchaseDto) {
        salePurchaseService.cancellation(purchaseDto);
    }

}
