package com.fjhx.sale.entity.ext.vo;

import com.fjhx.sale.entity.ext.po.ExtQuotationProduct;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.List;

/**
 * 对外报价单产品列表查询返回值实体
 *
 * @author
 * @since 2024-01-14
 */
@Getter
@Setter
public class ExtQuotationProductVo extends ExtQuotationProduct {

    List<ExtQuotationProductBomVo> quotationProductBomList;
    private String productCode;
    private String productName;
    private BigDecimal productLength;
    private BigDecimal productWidth;
    private BigDecimal productHeight;

    /**
     * 生产图片地址
     */
    private String productProdImgPath;

}
