package com.fjhx.sale.mapper.dept;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fjhx.sale.entity.dept.dto.DeptPerfDto;
import com.fjhx.sale.entity.dept.po.DeptPerf;
import com.fjhx.sale.entity.dept.vo.DeptPerfVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 部门绩效 Mapper 接口
 * </p>
 *
 * @author
 * @since 2024-01-21
 */
public interface DeptPerfMapper extends BaseMapper<DeptPerf> {

    /**
     * 部门绩效列表
     */
    List<DeptPerfVo> getList(@Param("dto") DeptPerfDto dto);

}
